> For a complete page index, fetch https://developer.close.com/llms.txt # Update an outcome PUT https://api.close.com/api/v1/outcome/{id}/ Content-Type: application/json Update an existing outcome. Reference: https://developer.close.com/api/resources/outcomes/update ## Authentication - `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty. - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `id` (string, required) ### Body (application/json) This endpoint expects an UpdateOutcome. - `description` (string, optional, nullable) — Explain what the outcome means and when it should be used. - `name` (string, optional, nullable) — Displayed to users wherever outcomes can be selected. - `type` (enum, optional, nullable) — Set to `vm-dropped` if this outcome should be automatically set on calls whenever a team member performs a Voicemail Drop. Otherwise, leave empty or explicitly set to `custom` (default). - Allowed values: `vm-dropped`, `custom` - `applies_to` (list of enum, optional, nullable, deprecated) — Deprecated. This field will be derived from `type` in a future update: `custom` applies to calls and meetings, `vm-dropped` applies to calls only. - Allowed values: `calls`, `meetings` ## Response ### 200 Successful response - `applies_to` (list of enum, required) - Allowed values: `calls`, `meetings` - `created_by` (string, required, nullable) - `date_created` (datetime, required) - `date_updated` (datetime, required) - `description` (string, required, nullable) - `id` (string, required) - `name` (string, required) - `organization_id` (string, required) - `type` (enum, required) - Allowed values: `vm-dropped`, `custom` - `updated_by` (string, required, nullable) ## Errors ### 400 Bad Request Error Bad request - `any` ### 401 Unauthorized Error Unauthorized - `any` ### 404 Not Found Error Not found - `any` ## Examples **Request** ```json { "description": "Prospect is very interested and wants to proceed.", "name": "Very Interested" } ``` **Response** ```json { "applies_to": [ "calls", "meetings" ], "created_by": "user_a6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "date_created": "2025-07-29T10:30:00.000000+00:00", "date_updated": "2025-07-29T11:45:00.000000+00:00", "description": "Prospect is very interested and wants to proceed", "id": "outcome_03oUxZfoO6e2vHmcz1DiHR", "name": "Very Interested", "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH", "type": "custom", "updated_by": "user_a6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA" } ``` **SDK Code** ```python outcomes_update_example import requests url = "https://api.close.com/api/v1/outcome/id/" payload = { "description": "Prospect is very interested and wants to proceed.", "name": "Very Interested" } headers = { "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers, auth=("", "")) print(response.json()) ``` ```javascript outcomes_update_example const url = 'https://api.close.com/api/v1/outcome/id/'; const credentials = btoa(":"); const options = { method: 'PUT', headers: {Authorization: `Basic ${credentials}`, 'Content-Type': 'application/json'}, body: '{"description":"Prospect is very interested and wants to proceed.","name":"Very Interested"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go outcomes_update_example package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.close.com/api/v1/outcome/id/" payload := strings.NewReader("{\n \"description\": \"Prospect is very interested and wants to proceed.\",\n \"name\": \"Very Interested\"\n}") req, _ := http.NewRequest("PUT", url, payload) req.SetBasicAuth("", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby outcomes_update_example require 'uri' require 'net/http' url = URI("https://api.close.com/api/v1/outcome/id/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request.basic_auth("", "") request["Content-Type"] = 'application/json' request.body = "{\n \"description\": \"Prospect is very interested and wants to proceed.\",\n \"name\": \"Very Interested\"\n}" response = http.request(request) puts response.read_body ``` ```java outcomes_update_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://api.close.com/api/v1/outcome/id/") .basicAuth("", "") .header("Content-Type", "application/json") .body("{\n \"description\": \"Prospect is very interested and wants to proceed.\",\n \"name\": \"Very Interested\"\n}") .asString(); ``` ```php outcomes_update_example request('PUT', 'https://api.close.com/api/v1/outcome/id/', [ 'body' => '{ "description": "Prospect is very interested and wants to proceed.", "name": "Very Interested" }', 'headers' => [ 'Content-Type' => 'application/json', ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp outcomes_update_example using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://api.close.com/api/v1/outcome/id/"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.PUT); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"description\": \"Prospect is very interested and wants to proceed.\",\n \"name\": \"Very Interested\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ```